com.taosdata.jdbc.ws.entity

## Class IdUtil

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.IdUtil

    public class IdUtil
    extends Object

generate id for request

### Constructor Summary

Constructors
Constructor and Description
`IdUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `getId(String action)`
`static void` `init(String action)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdUtil

    public IdUtil()

### Method Detail

#### getId

    public static long getId(String action)

#### init

    public static void init(String action)